TextInputControl.Content (JavaFX 13)

Module javafx.controls
Package javafx.scene.control

## Interface TextInputControl.Content

- All Superinterfaces:
    `Observable`, `ObservableObjectValue<String>`, `ObservableStringValue`, `ObservableValue<String>`
  Enclosing class:
    TextInputControl

      protected static interface TextInputControl.Content
      extends ObservableStringValue

  Interface representing a text input's content. Since it is an ObservableStringValue, you can also bind to, or observe the content.
  Since:
    JavaFX 2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete​(int start, int end, boolean notifyListeners)` | Removes a sequence of characters from the content.
    `String` | `get​(int start, int end)` | Retrieves a subset of the content.
    `void` | `insert​(int index, String text, boolean notifyListeners)` | Inserts a sequence of characters into the content.
    `int` | `length()` | Returns the number of characters represented by the content.

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.beans.value.ObservableObjectValue

      `get`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

- - ### Method Detail

    - #### get

          String get​(int start,
                     int end)

      Retrieves a subset of the content.
      Parameters:
        `start` - the start
        `end` - the end
      Returns:
        a subset of the content

    - #### insert

          void insert​(int index,
                      String text,
                      boolean notifyListeners)

      Inserts a sequence of characters into the content.
      Parameters:
        `index` - the index
        `text` - the text string
        `notifyListeners` - the notify listener flag
      Since:
        JavaFX 2.1

    - #### delete

          void delete​(int start,
                      int end,
                      boolean notifyListeners)

      Removes a sequence of characters from the content.
      Parameters:
        `start` - the start
        `end` - the end
        `notifyListeners` - the notify listener flag
      Since:
        JavaFX 2.1

    - #### length

          int length()

      Returns the number of characters represented by the content.
      Returns:
        the number of characters